<?php

namespace itguild\forms\app\models;

use Illuminate\Database\Eloquent\Model;

class InputTypeModel extends Model
{
    const SELECT_TYPE = 6;
    const INPUT_TEXT_TYPE = 2;
    const TEXT_AREA_TYPE = 3;
    const BUTTON_TYPE = 5;
    const CHECKBOX_TYPE = 1;
    const RADIO_TYPE = 4;

    protected $table = "input_type";

    protected $fillable = [
        'type', 'name', 'status'
    ];

    protected $hidden = [

    ];

    public static function getViewNameByTypeId(int $id): ?string
    {
        $fields = [
            1 => '_checkBox',
            2 => '_text_input',
            3 => '_textarea',
            4 => '_radioButton',
            5 => '_button',
            6 => '_select'
        ];

        return $fields[$id] ?? null;
    }
}